﻿Imports ThinkGeo.Core
Imports ThinkGeo.UI.Wpf

Class MainWindow
    Private Sub mapView_Loaded(sender As Object, e As RoutedEventArgs) Handles mapView.Loaded

        mapView.MapUnit = GeographyUnit.Meter
        mapView.MinimumScale = 1

        ' ADD PDOK WMS LAYER
        Dim MapBackgroundPDOKOverlay As New LayerOverlay()
        Dim PDOK As New WmsRasterLayer
        With PDOK
            .Uri = New Uri("https://service.pdok.nl/hwh/luchtfotorgb/wms/v1_0?&request=GetCapabilities&service=wms?")
            .Crs = "EPSG:3857"
            .ActiveLayerNames.Add("2021_orthoHR")
            .Name = "PDOK_2021"
        End With

        ' Zoom to The Netherlands
        mapView.CurrentExtent = New RectangleShape(352221, 7098248, 829188, 6516103)
        mapView.Refresh()


        ' ZoomLevelFactor........ change scales for all zoomlevels.
        Dim zoomlevelfactor As Integer = 8
        '
        mapView.ZoomLevelSet.ZoomLevel01.Scale = mapView.ZoomLevelSet.ZoomLevel01.Scale
        mapView.ZoomLevelSet.ZoomLevel02.Scale = mapView.ZoomLevelSet.ZoomLevel02.Scale / zoomlevelfactor
        mapView.ZoomLevelSet.ZoomLevel03.Scale = mapView.ZoomLevelSet.ZoomLevel03.Scale / zoomlevelfactor
        mapView.ZoomLevelSet.ZoomLevel04.Scale = mapView.ZoomLevelSet.ZoomLevel04.Scale / zoomlevelfactor
        mapView.ZoomLevelSet.ZoomLevel05.Scale = mapView.ZoomLevelSet.ZoomLevel05.Scale / zoomlevelfactor
        mapView.ZoomLevelSet.ZoomLevel06.Scale = mapView.ZoomLevelSet.ZoomLevel06.Scale / zoomlevelfactor
        mapView.ZoomLevelSet.ZoomLevel07.Scale = mapView.ZoomLevelSet.ZoomLevel07.Scale / zoomlevelfactor
        mapView.ZoomLevelSet.ZoomLevel08.Scale = mapView.ZoomLevelSet.ZoomLevel08.Scale / zoomlevelfactor
        mapView.ZoomLevelSet.ZoomLevel09.Scale = mapView.ZoomLevelSet.ZoomLevel09.Scale / zoomlevelfactor
        mapView.ZoomLevelSet.ZoomLevel10.Scale = mapView.ZoomLevelSet.ZoomLevel10.Scale / zoomlevelfactor
        mapView.ZoomLevelSet.ZoomLevel11.Scale = mapView.ZoomLevelSet.ZoomLevel11.Scale / zoomlevelfactor
        mapView.ZoomLevelSet.ZoomLevel12.Scale = mapView.ZoomLevelSet.ZoomLevel12.Scale / zoomlevelfactor
        mapView.ZoomLevelSet.ZoomLevel13.Scale = mapView.ZoomLevelSet.ZoomLevel13.Scale / zoomlevelfactor
        mapView.ZoomLevelSet.ZoomLevel14.Scale = mapView.ZoomLevelSet.ZoomLevel14.Scale / zoomlevelfactor
        mapView.ZoomLevelSet.ZoomLevel15.Scale = mapView.ZoomLevelSet.ZoomLevel15.Scale / zoomlevelfactor
        mapView.ZoomLevelSet.ZoomLevel16.Scale = mapView.ZoomLevelSet.ZoomLevel16.Scale / zoomlevelfactor
        mapView.ZoomLevelSet.ZoomLevel17.Scale = mapView.ZoomLevelSet.ZoomLevel17.Scale / zoomlevelfactor
        mapView.ZoomLevelSet.ZoomLevel18.Scale = mapView.ZoomLevelSet.ZoomLevel18.Scale / zoomlevelfactor
        mapView.ZoomLevelSet.ZoomLevel19.Scale = mapView.ZoomLevelSet.ZoomLevel19.Scale / zoomlevelfactor
        mapView.ZoomLevelSet.ZoomLevel20.Scale = mapView.ZoomLevelSet.ZoomLevel20.Scale / zoomlevelfactor

        ' Cache the WMS tiles
        MapBackgroundPDOKOverlay.TileType = TileType.MultiTile
        MapBackgroundPDOKOverlay.TileCache = New FileRasterTileCache("c:\programdata\tempcache\", "Testcache", RasterTileFormat.Png)

        ' Add to the PDOK overlay and add to the Mapview
        MapBackgroundPDOKOverlay.Layers.Add(PDOK)
        mapView.Overlays.Add(MapBackgroundPDOKOverlay)


    End Sub

End Class
